*, :after, :before {
    box-sizing: border-box;
}

.container {
    -webkit-align-items: center;
    align-items: center;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin: 0;
    width: 100%;
    position: relative;
}

.container--big {
    min-height: 175vh;
}

.container--full {
    min-height: 100vh;
}

.container-video {
    position: relative;
    display: block;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

    .container-video video {
        object-fit: cover;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
    }

.container--med {
    min-height: 75vh;
}

.container--small {
    min-height: 50vh;
}




@media (max-aspect-ratio: 1/1) {
    .container-video {
        height: 75vh;
    }
}


@media (max-aspect-ratio: 3/4) {
    .container-video {
        height: 66vh;
    }
}


@media (max-aspect-ratio: 2/3) {
    .container-video {
        height: 50vh;
    }
}



.parallax__container {
    clip: rect(0, auto, auto, 0);
    height: 100%;
    left: 0;
    overflow: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -100;
}

    .parallax__container .parallax {
        position: fixed;
        top: 0;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        -webkit-transform-style: preserve-3d;
        transform-style: preserve-3d;
        width: 100%;
    }


    .parallax__container .photo {
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: cover;
    }

    .parallax__container .wallpaper {
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
        -webkit-filter: blur(3px); /* Safari 6.0 - 9.0 */
    }



    .parallax__container .testata {
        background: #96a7b1;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-position-x: center;
        background-position-y: center;
        background-size: cover;
        -webkit-filter: grayscale(50%) brightness(40%) contrast(80%) blur(10px); /* Safari 6.0 - 9.0 */
        filter: grayscale(50%) brightness(40%) contrast(80%) blur(10px);
    }


    .parallax__container .pattern0 {
        background-color: rgba(0,0,0,0.2);
    }

    .parallax__container .pattern1 {
        background-color: rgb(255,255,255);
    }

    .parallax__container .pattern2 {
        background: #a18864;
    }

    .parallax__container .pattern3 {
        background: linear-gradient(0deg, rgb(163,137,103) 0%, rgb(211,197,181) 100%);
    }

    .parallax__container .pattern4 {
        background: linear-gradient(0deg, rgba(255,255,255,0.85) 0%, rgba(255,255,255,1) 100%);
        backdrop-filter: blur(5px);
    }

    .parallax__container .pattern5 {
        background: linear-gradient(180deg, rgba(191,227,135,0) 0%, rgba(97,191,26,0.66) 100%);
        backdrop-filter: blur(5px);
    }


@media (max-width: 540px) {

    .parallax__container .pattern5 {
        background: #fff;
        backdrop-filter: blur(0);
    }

    .parallax__container .pattern3 {
        background: rgba(209,196,179,1) !important;
    }
}
